@import url(bootstrap.css);

body::-webkit-scrollbar,
.modal::-webkit-scrollbar,
iframe::-webkit-scrollbar,
textarea::-webkit-scrollbar,
.card-body::-webkit-scrollbar,
.modal-body::-webkit-scrollbar,
.overflow-auto::-webkit-scrollbar,
.offcanvas-body::-webkit-scrollbar,
.overflow-scroll::-webkit-scrollbar,
.table-responsive::-webkit-scrollbar {
    width: 4px;
    height: 4px;
}

body::-webkit-scrollbar-track,
.modal::-webkit-scrollbar-track,
iframe::-webkit-scrollbar-track,
textarea::-webkit-scrollbar-track,
.card-body::-webkit-scrollbar-track,
.modal-body::-webkit-scrollbar-track,
.overflow-auto::-webkit-scrollbar-track,
.offcanvas-body::-webkit-scrollbar-track,
.overflow-scroll::-webkit-scrollbar-track,
.table-responsive::-webkit-scrollbar-track {
    border-radius: 10px;
}

body::-webkit-scrollbar-thumb,
.modal::-webkit-scrollbar-thumb,
iframe::-webkit-scrollbar-thumb,
textarea::-webkit-scrollbar-thumb,
.card-body::-webkit-scrollbar-thumb,
.modal-body::-webkit-scrollbar-thumb,
.overflow-auto::-webkit-scrollbar-thumb,
.offcanvas-body::-webkit-scrollbar-thumb,
.overflow-scroll::-webkit-scrollbar-thumb,
.table-responsive::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background: var(--bs-border-color);
}

body::-webkit-scrollbar-thumb:hover,
.modal::-webkit-scrollbar-thumb:hover,
iframe::-webkit-scrollbar-thumb:hover,
textarea::-webkit-scrollbar-thumb:hover,
.card-body::-webkit-scrollbar-thumb:hover,
.modal-body::-webkit-scrollbar-thumb:hover,
.overflow-auto::-webkit-scrollbar-thumb:hover,
.offcanvas-body::-webkit-scrollbar-thumb:hover,
.overflow-scroll::-webkit-scrollbar-thumb:hover,
.table-responsive::-webkit-scrollbar-thumb:hover {
    background: var(--bs-secondary-color);
}

nav,
header {
    background: var(--bs-secondary-bg);
}

fieldset {
    border: 1px solid var(--bs-border-color);
    padding: .25rem .75rem .75rem;
    border-radius: 5px;
}

fieldset legend {
    width: auto;
    float: none;
    padding: 0 .5rem;
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 0;
}

.offcanvas {
    max-width: 75% !important;
}

.error {
    color: var(--bs-danger);
    font-size: small;
}

form select.error,
form textarea.error,
form input.error,
form input.error:focus,
form textarea.error:focus,
form select.error:focus {
    border-color: var(--bs-danger) !important;
}

#notification .select2-selection {
    border: 0;
    text-align: center;
    border-radius: 0;
}

.form-switch.form-switch-md .form-check-input {
    width: 3rem !important;
}

.form-switch-md .form-check-input {
    height: 1.5rem !important;
}

.form-switch-md .form-check-label {
    padding: 5px 10px;
}

.form-switch.form-switch-lg .form-check-input {
    width: 4rem !important;
}

.form-switch-lg .form-check-input {
    height: 2rem !important;
}

.form-switch-lg .form-check-label {
    padding: 10px 15px;
}

.home-slide .carousel-item {
    height: 375px;
}

img[alt=Logo] {
    max-height: 45px;
}

.navbar-bottom .navbar-nav .nav-link.active {
    background: rgba(0, 0, 0, 0.2);
}

.login-form {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 25%;
    padding: 0 10px;
    transform: translate(-50%, -50%);
}

.list-answer,
.list-question {
    margin-top: 5px;
    margin-left: -10px
}

.list-answer {
    list-style: upper-alpha;
}

.list-answer li {
    padding: 3px;
}

.list-answer li span.check {
    margin-left: -20px;
    padding-right: 10px;
}

@media screen and (max-width:991px) {
    .home-slide .carousel-item {
        height: 350px;
    }
}

@media screen and (max-width:767px) {
    .home-slide .carousel-item {
        height: 250px;
    }
}

@media (min-width: 768px) {
    .login-form {
        width: 50%;
    }
}

@media (max-width: 500px) {
    .login-form {
        min-width: 90%;
    }
}

.h-25v {
    min-height: 25vh !important;
    max-height: 25vh !important;
}

.h-50v {
    min-height: 50vh !important;
    max-height: 50vh !important;
}

.h-75v {
    min-height: 75vh !important;
    max-height: 75vh !important;
}

.h-80v {
    min-height: 80vh !important;
    max-height: 80vh !important;
}

.h-85v {
    min-height: 85vh !important;
    max-height: 85vh !important;
}

.mh-25v {
    min-height: 25vh !important;
}

.mh-50v {
    min-height: 50vh !important;
}

.mh-70v {
    min-height: 70vh !important;
}

.mh-75v {
    min-height: 75vh !important;
}

.mh-80v {
    min-height: 80vh !important;
}

.mh-85v {
    min-height: 85vh !important;
}

.mh-90v {
    min-height: 90vh !important;
}

.mh-95v {
    min-height: 95vh !important;
}

.mh-100v {
    min-height: 100vh !important;
}

.xh-25v {
    max-height: 25vh !important;
}

.xh-50v {
    max-height: 50vh !important;
}

.xh-70v {
    max-height: 70vh !important;
}

.xh-75v {
    max-height: 75vh !important;
}

.xh-80v {
    max-height: 80vh !important;
}

.xh-85v {
    max-height: 85vh !important;
}

.xh-90v {
    max-height: 90vh !important;
}

.xh-95v {
    max-height: 95vh !important;
}

.xh-100v {
    max-height: 100vh !important;
}